/*
Theme Name: Astra Child
Template: astra
Version: 1.0.0
Text Domain: astra-child
*/


@import url("../astra/style.css");


.tutor-dashboard-header-stats,
 #tutor-notifications-wrapper,
a.tutor-btn.tutor-btn-ghost.tutor-course-wishlist-btn.tutor-mr-16,
.tutor-course-ratings.tutor-mb-8,
.tutor-analytics-widget-popular-courses .tutor-table tr:first-child th:last-child,
.tutor-analytics-widget-popular-courses .tutor-table tr td:last-child,
.table-popular-courses tr:first-child th:last-child,
.table-popular-courses tr td:last-child{ display:none; }

.tutor-analytics-widget-popular-courses .tutor-table tr th:nth-of-type(2),
.tutor-analytics-widget-popular-courses .tutor-table tr td:nth-of-type(2),
.table-popular-courses tr th:nth-of-type(2),
.table-popular-courses tr td:nth-of-type(2) {
    border-right: 1px solid var(--tutor-border-color);
}

.tutor-analytics-widget-popular-courses .tutor-table,
.table-popular-courses{ border:0; }


/*.tutor-col-lg-6.tutor-col-xl-4.tutor-mb-16.tutor-mb-lg-32:nth-last-child(2),
.tutor-col-lg-6.tutor-col-xl-4.tutor-mb-16.tutor-mb-lg-32:last-child,
.tutor-analytics-info-cards .tutor-col-lg-6:nth-of-type(4)  {
	display: none;
}
*/
/*dashboard*/
.tutor-dashboard-content-inner .tutor-row.tutor-gx-lg-4 .tutor-col-lg-6:last-child{ display:none !important; }

/*analytics*/
.tutor-analytics-sub-pages .tutor-analytics-info-cards .tutor-row.tutor-gx-lg-4 .tutor-col-lg-6:last-child,
.tutor-analytics-overview .analytics-title,
.tutor-analytics-overview .tutor-analytics-filter-tabs,
.tutor-analytics-overview .tutor-analytics-graph,
.tutor-nav .tutor-nav-more,
.analytics-course-details .tutor-analytics-info-cards .tutor-col-lg-6:last-child,
.analytics-course-details .tutor-analytics-info-cards .tutor-col-lg-6:nth-last-child(2),
.analytics-course-details .tutor-analytics-info-cards .tutor-col-lg-6:nth-last-child(3),
.analytics-course-details .analytics-title,
.analytics-course-details .tutor-analytics-filter-tabs,
.analytics-course-details .tutor-analytics-graph{
	display: none !important;
}

.tutor-course-details-student-list-table.tutor-mb-48 .tutor-table tr th:nth-last-child(2),
.tutor-course-details-student-list-table.tutor-mb-48 .tutor-table tr td:nth-last-child(2){
	display: none;
}

.tutor-analytics-sub-pages .tutor-analytics-courses .tutor-table tr th:nth-last-child(2),
.tutor-analytics-sub-pages .tutor-analytics-courses .tutor-table tr td:nth-last-child(2){
	display: none;
}


/*Course*/ 

.css-ywqglu{ display:none; }

.css-19svoj5 [data-element-id]{ border-color: #b21119 !important;
    background-color: #b21119 !important; }

.css-rzjn6, .css-w04q8b{background: #b21119 !important; }

.css-w04q8b{border-color: #b21119 !important;}

.css-1wb3486 img{ max-height:50px !important; }
.wp-core-ui .button{color: #b21119 !important; border-color: #b21119 !important;}


.css-1umh7pp .css-kiche5,
.css-1r3fpdy > div:nth-child(2),
.css-1r3fpdy > div:nth-child(3),
.css-ruee3v,
.css-12hb6lm,
.tutor-frontend .tutor-meta
{
    display: none;
}

.tutor-tab-item .tutor-col-xl-8{ width:100%; }

.tutor-ratings{ display:none !important; }
.tutor-table.tutor-quiz-attempt-details tr th{ font-size:12px; }

.tutor-table{ border:none; }

table.tutor-table.table-course-pdf a.tutor-btn.tutor-btn-sm { float: left;     padding: 0 7px; font-size: 18px;}

table.tutor-table.table-course-pdf{ border:0; }

table.tutor-table.table-course-pdf tr td{padding: 9px 16px; font-size: 14px; font-weight: 500;line-height: 1.8;color: #41454f; position: relative;}

table.tutor-table.table-course-pdf tr td:first-child { width: 50%;}

#course-pdf-list .page-numbers{ padding: 6px 10px; border: 1px solid #000; margin: 0px 3px;}

#course-pdf-list .page-numbers.current, #course-pdf-list .page-numbers:hover{ background:#b21119; color:#fff; border-color:#b21119; }

#course-pdf-list .custom-pagination { display: block; width: 100%; margin-top: 25px;}

.shortcodecopy{ color:#b21119;font-size: 20px;  cursor: pointer;margin-left: 10px; }

.shortcodecopy:hover{ color:#000;    }

.copy-msg{display:none;color:green;font-size:12px;margin-left:6px; position:absolute; top: 12px;}


.df-container .df-bg{ background:#fff !important; }

.df-ui-btn.df-ui-more.df-icon-more, .df-ui-btn.df-ui-share.df-icon-share,
.df-ui-btn.df-ui-thumbnail.df-icon-grid-view.df-sidemenu-trigger,
.df-ui-btn.df-ui-outline.df-icon-list.df-sidemenu-trigger{ display:none; }


#course-pdf-list.loading {
    position: relative;
}
#course-pdf-list.loading::after {
    content: "Loading...";
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: white;
    padding: 10px 20px;
    border-radius: 5px;
    border: 1px solid #ccc;
}


 .tts-player {
      border: 1px solid #ddd;
      padding: 15px;
      border-radius: 8px;
      margin-bottom: 20px;
      max-width: 100%;
    }
    .tts-player button {
      background: #b21119;
      color: white;
      padding: 10px 20px;
      border: none;
      border-radius: 4px;
      cursor: pointer;
      margin: 5px 5px 10px 0;
      text-transform: capitalize;
    font-weight: 400;
    font-size: 14px;
    letter-spacing: 0.1em;
    }
    .tts-player button:hover { background: #b21119; }
    .tts-status {
      margin-top: 5px;
      font-weight: bold;
      color: #b21119;
      display: none;
    }

.media-router .media-menu-item{ color:#000 !important; }



.tutor-course-single-content-wrapper #tutor-single-entry-content .tutor-quiz-wrapper{
    padding: 70px 24px;
}
.tutor-course-spotlight-wrapper .tutor-course-spotlight-tab{
    padding-top: 70px;
    padding-bottom: 50px;
}


.tutor-next-error {
    background: #ffecec;
    color: #d63638;
    padding: 12px;
    margin: 15px 0;
    border-left: 4px solid #d63638;
    font-weight: 500;
        position: absolute;
    width: 100%;
    top: 53px;
    font-size: 14px;
}

.quiz-error-highlight {
    animation: shakeRed 0.4s ease-in-out 2;
    border: 2px solid #d63638;
}

@keyframes shakeRed {
    0% { transform: translateX(0); }
    25% { transform: translateX(-5px); }
    50% { transform: translateX(5px); }
    75% { transform: translateX(-5px); }
    100% { transform: translateX(0); }
}

